<?php
/*
Plugin Name: Kalimantan
Plugin URI: http://www.scarletblaze.com
Description: This plugin integrates Gallery 2 albums to WordPress 1.5. Go to <a href="kalimantan-settings.php"> to configure.
Version: 0.2
Author: Jose Mulia
Author URI: http://www.scarletblaze.com
*/

// Kalimantan Frontend Interface
include('kalimantan-admin.php');

if (basename($_SERVER['SCRIPT_NAME']) == 'gallery.php') {
    kalimantan_init();
   add_action('wp_head', 'kalimantan_css');
}

function kalimantan_init() {
	global $g2_wp_access;
	global $relativePath;
    $ret = GalleryEmbed::init(array('embedUri' => $g2_wp_access, 
									'relativeG2Path' => $relativePath));
    if ($ret->isSuccess()) {
		global $k_data;
		GalleryCapabilities::set('showSidebar', false);
		GalleryCapabilities::set('showPathbar', true);
		GalleryCapabilities::set('login', false);
		$k_data = GalleryEmbed::handleRequest();
	   
		// die if it was a binary data (image) request 
		if ($k_data['isDone']) { exit; }
    }
}

function kalimantan_css() {
	global $g2_css;
	echo "<link rel=\"stylesheet\" href=\"";
	echo $g2_css;
	echo "\" type=\"text/css\" />"; 
}

function kalimantan() {
	global $k_data;
	global $g2_uri;
	
    if (isset($k_data['bodyHtml'])) {
	
	/* HACK: ONLY WORKs FOR G2 */
	$k_data['bodyHtml'] = preg_replace('/width=\"([1-9]?\d{4,9}|[6-9]\d\d)\"/','width=450', $k_data['bodyHtml']);
	$k_data['bodyHtml'] = preg_replace('/height=\"\d+\"/','', $k_data['bodyHtml']);
	$k_data['bodyHtml'] = preg_replace('/(src)(.*?http:\/\/.*?\/)(main.php)/','src="'.$g2_uri.'$3', $k_data['bodyHtml']);
	/* END HACK */
	
print <<<EOF
<div class="wrap">
{$k_data['bodyHtml']}
</div>
EOF;
    }
}

/*
function kalimantan_random() {
	global $r_data;
	global $relativePath;
    $ret1 = GalleryEmbed::init(array('embedUri' => $g2_wp_access, 
									'relativeG2Path' => $relativePath));
    list ($ret1, $imageBlockHtml) = GalleryEmbed::getImageBlock(array('blocks' => 'randomImage', 'show' => 'title'));
	GalleryEmbed::done();
	$r_data = GalleryEmbed::handleRequest();
}
*/
?>
